Pycharm не распознает установку Django

Я пытаюсь создать новый проект django в Pycharm и получаю сообщение об ошибке «В выбранном интерпретаторе не установлена ​​поддержка Django». После получения сообщения в первый раз я установил django, но сообщение не исчезло. У меня установлено три версии python: 2.5, 2.6 и 2.7, и я получаю одно и то же сообщение со всеми тремя. Я могу использовать команды django из терминала, так что он определенно установлен. Я использую Mac Os X 10.9.

Есть указатели?

Спасибо

вы используете какие-нибудь виртуальные окружения?   —  person Matt Sinclair    schedule 10.11.2014

Я тоже использую Mac Os X 10.9, установил свежий питон из macports (аналог brew), затем pip, virtualenv, virtualenvwrapper, затем обновил .profile   —  person Matt Sinclair    schedule 10.11.2014

Вы выбрали python из venv с установленным Django в параметрах PyCharm Project Interpreter? (Также Django должен быть указан в этом разделе как установленный пакет)   —  person Matt Sinclair    schedule 10.11.2014

См. также:  Как я могу обнаружить столкновение этих прямоугольных объектов?
Понравилась статья? Поделиться с друзьями:
IT Шеф
Комментарии: 2
  1. Matt Sinclair

    Спасибо, ребята, просто попробовал еще раз и получил опцию «установить django», которая исправила это. Не знаю, почему это появилось сейчас, но не раньше.

  2. Matt Sinclair

    перейдите в file / setting / Project: «name project» там вы должны добавить свой интерпретатор, который вы хотите использовать для своего проекта.

Добавить комментарий

;-) :| :x :twisted: :smile: :shock: :sad: :roll: :razz: :oops: :o :mrgreen: :lol: :idea: :grin: :evil: :cry: :cool: :arrow: :???: :?: :!: